summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
Diffstat (limited to 'script')
-rwxr-xr-xscript/bootstrap3
-rwxr-xr-xscript/cibuild9
2 files changed, 12 insertions, 0 deletions
diff --git a/script/bootstrap b/script/bootstrap
new file mode 100755
index 0000000..0695797
--- /dev/null
+++ b/script/bootstrap
@@ -0,0 +1,3 @@
+#!/usr/bin/env sh
+
+bundle install --path vendor/gems --local
diff --git a/script/cibuild b/script/cibuild
new file mode 100755
index 0000000..d1c8c06
--- /dev/null
+++ b/script/cibuild
@@ -0,0 +1,9 @@
+#!/usr/bin/env sh
+
+set -e
+
+[ -z "${PUPPET_VERSION}" ] && script/bootstrap
+
+bundle exec rspec
+
+bundle exec puppet-lint --with-filename --fail-on-warnings manifests